<?php
return [
    'service_manager' => [
        'aliases' => [
            'InputFilterManager' => 'Laminas\\InputFilter\\InputFilterPluginManager',
            'Zend\\InputFilter\\InputFilterPluginManager' => 'Laminas\\InputFilter\\InputFilterPluginManager',
            'FilterManager' => 'Laminas\\Filter\\FilterPluginManager',
            'Zend\\Filter\\FilterPluginManager' => 'Laminas\\Filter\\FilterPluginManager',
            'HydratorManager' => 'Laminas\\Hydrator\\HydratorPluginManager',
            'Zend\\Hydrator\\HydratorPluginManager' => 'Laminas\\Hydrator\\HydratorPluginManager',
            'Zend\\Hydrator\\StandaloneHydratorPluginManager' => 'Laminas\\Hydrator\\StandaloneHydratorPluginManager',
            'Zend\\Paginator\\AdapterPluginManager' => 'Laminas\\Paginator\\AdapterPluginManager',
            'Zend\\Paginator\\ScrollingStylePluginManager' => 'Laminas\\Paginator\\ScrollingStylePluginManager',
            'Di' => 'DependencyInjector',
            'Laminas\\Di\\LocatorInterface' => 'DependencyInjector',
            'Zend\\Di\\LocatorInterface' => 'Laminas\\Di\\LocatorInterface',
            'Laminas\\Session\\SessionManager' => 'Laminas\\Session\\ManagerInterface',
            'Zend\\Session\\SessionManager' => 'Laminas\\Session\\SessionManager',
            'Zend\\Session\\Config\\ConfigInterface' => 'Laminas\\Session\\Config\\ConfigInterface',
            'Zend\\Session\\ManagerInterface' => 'Laminas\\Session\\ManagerInterface',
            'Zend\\Session\\Storage\\StorageInterface' => 'Laminas\\Session\\Storage\\StorageInterface',
            'MvcTranslator' => 'Laminas\\Mvc\\I18n\\Translator',
            'Zend\\Mvc\\I18n\\Translator' => 'Laminas\\Mvc\\I18n\\Translator',
            'TranslatorPluginManager' => 'Laminas\\I18n\\Translator\\LoaderPluginManager',
            'Zend\\I18n\\Translator\\TranslatorInterface' => 'Laminas\\I18n\\Translator\\TranslatorInterface',
            'Zend\\I18n\\Translator\\LoaderPluginManager' => 'Laminas\\I18n\\Translator\\LoaderPluginManager',
            'console' => 'ConsoleAdapter',
            'Console' => 'ConsoleAdapter',
            'ConsoleDefaultRenderingStrategy' => 'Laminas\\Mvc\\Console\\View\\DefaultRenderingStrategy',
            'ConsoleRenderer' => 'Laminas\\Mvc\\Console\\View\\Renderer',
            'Zend\\Mvc\\Console\\View\\DefaultRenderingStrategy' => 'Laminas\\Mvc\\Console\\View\\DefaultRenderingStrategy',
            'Zend\\Mvc\\Console\\View\\Renderer' => 'Laminas\\Mvc\\Console\\View\\Renderer',
            'Zend\\Log\\Logger' => 'Laminas\\Log\\Logger',
            'Laminas\\Form\\Annotation\\FormAnnotationBuilder' => 'FormAnnotationBuilder',
            'Laminas\\Form\\Annotation\\AnnotationBuilder' => 'FormAnnotationBuilder',
            'Laminas\\Form\\FormElementManager' => 'FormElementManager',
            'Zend\\Form\\Annotation\\FormAnnotationBuilder' => 'Laminas\\Form\\Annotation\\FormAnnotationBuilder',
            'Zend\\Form\\Annotation\\AnnotationBuilder' => 'Laminas\\Form\\Annotation\\AnnotationBuilder',
            'Zend\\Form\\FormElementManager' => 'Laminas\\Form\\FormElementManager',
            'Laminas\\Db\\Adapter\\Adapter' => 'Laminas\\Db\\Adapter\\AdapterInterface',
            'Zend\\Db\\Adapter\\AdapterInterface' => 'Laminas\\Db\\Adapter\\AdapterInterface',
            'Zend\\Db\\Adapter\\Adapter' => 'Laminas\\Db\\Adapter\\Adapter',
            'Zend\\Cache\\PatternPluginManager' => 'Laminas\\Cache\\PatternPluginManager',
            'Zend\\Cache\\Storage\\AdapterPluginManager' => 'Laminas\\Cache\\Storage\\AdapterPluginManager',
            'Zend\\Cache\\Storage\\PluginManager' => 'Laminas\\Cache\\Storage\\PluginManager',
            'Laminas\\Cache\\Service\\StoragePluginFactoryInterface' => 'Laminas\\Cache\\Service\\StoragePluginFactory',
            'Laminas\\Cache\\Service\\StorageAdapterFactoryInterface' => 'Laminas\\Cache\\Service\\StorageAdapterFactory',
            'HttpRouter' => 'Laminas\\Router\\Http\\TreeRouteStack',
            'router' => 'Laminas\\Router\\RouteStackInterface',
            'Router' => 'Laminas\\Router\\RouteStackInterface',
            'RoutePluginManager' => 'Laminas\\Router\\RoutePluginManager',
            'Zend\\Router\\Http\\TreeRouteStack' => 'Laminas\\Router\\Http\\TreeRouteStack',
            'Zend\\Router\\RoutePluginManager' => 'Laminas\\Router\\RoutePluginManager',
            'Zend\\Router\\RouteStackInterface' => 'Laminas\\Router\\RouteStackInterface',
            'ValidatorManager' => 'Laminas\\Validator\\ValidatorPluginManager',
            'Zend\\Validator\\ValidatorPluginManager' => 'Laminas\\Validator\\ValidatorPluginManager'
        ],
        'factories' => [
            'SerializerAdapterManager' => 'Laminas\\Serializer\\AdapterPluginManagerFactory',
            'Laminas\\InputFilter\\InputFilterPluginManager' => 'Laminas\\InputFilter\\InputFilterPluginManagerFactory',
            'Laminas\\Filter\\FilterPluginManager' => 'Laminas\\Filter\\FilterPluginManagerFactory',
            'Laminas\\Hydrator\\HydratorPluginManager' => 'Laminas\\Hydrator\\HydratorPluginManagerFactory',
            'Laminas\\Hydrator\\StandaloneHydratorPluginManager' => 'Laminas\\Hydrator\\StandaloneHydratorPluginManagerFactory',
            'Laminas\\Paginator\\AdapterPluginManager' => 'Laminas\\Paginator\\AdapterPluginManagerFactory',
            'Laminas\\Paginator\\ScrollingStylePluginManager' => 'Laminas\\Paginator\\ScrollingStylePluginManagerFactory',
            'DependencyInjector' => 'Laminas\\ServiceManager\\Di\\DiFactory',
            'DiAbstractServiceFactory' => 'Laminas\\ServiceManager\\Di\\DiAbstractServiceFactoryFactory',
            'DiServiceInitializer' => 'Laminas\\ServiceManager\\Di\\DiServiceInitializerFactory',
            'DiStrictAbstractServiceFactory' => 'Laminas\\ServiceManager\\Di\\DiStrictAbstractServiceFactoryFactory',
            'Laminas\\Session\\Config\\ConfigInterface' => 'Laminas\\Session\\Service\\SessionConfigFactory',
            'Laminas\\Session\\ManagerInterface' => 'Laminas\\Session\\Service\\SessionManagerFactory',
            'Laminas\\Session\\Storage\\StorageInterface' => 'Laminas\\Session\\Service\\StorageFactory',
            'Laminas\\Mvc\\I18n\\Translator' => 'Laminas\\Mvc\\I18n\\TranslatorFactory',
            'Laminas\\I18n\\Translator\\TranslatorInterface' => 'Laminas\\I18n\\Translator\\TranslatorServiceFactory',
            'Laminas\\I18n\\Translator\\LoaderPluginManager' => 'Laminas\\I18n\\Translator\\LoaderPluginManagerFactory',
            'ConsoleAdapter' => 'Laminas\\Mvc\\Console\\Service\\ConsoleAdapterFactory',
            'ConsoleExceptionStrategy' => 'Laminas\\Mvc\\Console\\Service\\ConsoleExceptionStrategyFactory',
            'ConsoleRouteNotFoundStrategy' => 'Laminas\\Mvc\\Console\\Service\\ConsoleRouteNotFoundStrategyFactory',
            'ConsoleRouter' => 'Laminas\\Mvc\\Console\\Router\\ConsoleRouterFactory',
            'ConsoleViewManager' => 'Laminas\\Mvc\\Console\\Service\\ConsoleViewManagerFactory',
            'Laminas\\Mvc\\Console\\View\\DefaultRenderingStrategy' => 'Laminas\\Mvc\\Console\\Service\\DefaultRenderingStrategyFactory',
            'Laminas\\Mvc\\Console\\View\\Renderer' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Log\\Logger' => 'Laminas\\Log\\LoggerServiceFactory',
            'LogFilterManager' => 'Laminas\\Log\\FilterPluginManagerFactory',
            'LogFormatterManager' => 'Laminas\\Log\\FormatterPluginManagerFactory',
            'LogProcessorManager' => 'Laminas\\Log\\ProcessorPluginManagerFactory',
            'LogWriterManager' => 'Laminas\\Log\\WriterPluginManagerFactory',
            'FormAnnotationBuilder' => 'Laminas\\Form\\Annotation\\AnnotationBuilderFactory',
            'FormElementManager' => 'Laminas\\Form\\FormElementManagerFactory',
            'Laminas\\Db\\Adapter\\AdapterInterface' => 'Laminas\\Db\\Adapter\\AdapterServiceFactory',
            'Laminas\\Cache\\PatternPluginManager' => 'Laminas\\Cache\\Service\\PatternPluginManagerFactory',
            'Laminas\\Cache\\Storage\\AdapterPluginManager' => 'Laminas\\Cache\\Service\\StorageAdapterPluginManagerFactory',
            'Laminas\\Cache\\Storage\\PluginManager' => 'Laminas\\Cache\\Service\\StoragePluginManagerFactory',
            'Laminas\\Cache\\Service\\StoragePluginFactory' => 'Laminas\\Cache\\Service\\StoragePluginFactoryFactory',
            'Laminas\\Cache\\Service\\StorageAdapterFactory' => 'Laminas\\Cache\\Service\\StorageAdapterFactoryFactory',
            'Laminas\\Cache\\Command\\DeprecatedStorageFactoryConfigurationCheckCommand' => 'Laminas\\Cache\\Command\\DeprecatedStorageFactoryConfigurationCheckCommandFactory',
            'Laminas\\Router\\Http\\TreeRouteStack' => 'Laminas\\Router\\Http\\HttpRouterFactory',
            'Laminas\\Router\\RoutePluginManager' => 'Laminas\\Router\\RoutePluginManagerFactory',
            'Laminas\\Router\\RouteStackInterface' => 'Laminas\\Router\\RouterFactory',
            'Laminas\\Validator\\ValidatorPluginManager' => 'Laminas\\Validator\\ValidatorPluginManagerFactory',
            'doctrine.cli' => 'DoctrineModule\\Service\\CliFactory',
            'DoctrineORMModule\\CliConfigurator' => 'DoctrineORMModule\\Service\\CliConfiguratorFactory',
            'Doctrine\\ORM\\EntityManager' => 'DoctrineORMModule\\Service\\EntityManagerAliasCompatFactory',
            'doctrine.dbal_cmd.runsql' => 'DoctrineORMModule\\Service\\RunSqlCommandFactory',
            'Admin\\Service\\AdminUserManager' => 'Admin\\Service\\Factory\\AdminUserManagerFactory',
            'Laminas\\Authentication\\AuthenticationService' => 'Admin\\Service\\Factory\\AuthenticationServiceFactory',
            'Admin\\Service\\AuthManager' => 'Admin\\Service\\Factory\\AuthManagerFactory',
            'Admin\\Service\\AuthAdapter' => 'Admin\\Service\\Factory\\AuthAdapterFactory',
            'Admin\\Service\\AdminUserGroupManager' => 'Admin\\Service\\Factory\\AdminUserGroupManagerFactory',
            'Admin\\Service\\RegionManager' => 'Admin\\Service\\Factory\\RegionManagerFactory',
            'Admin\\Service\\AppManager' => 'Admin\\Service\\Factory\\AppManagerFactory',
            'Admin\\Service\\OperlogManager' => 'Admin\\Service\\Factory\\OperlogManagerFactory',
            'Admin\\Service\\SystemManager' => 'Admin\\Service\\Factory\\SystemManagerFactory',
            'Admin\\Report\\HomeReport' => 'Admin\\Report\\Factory\\HomeReportFactory',
            'Admin\\Event\\AdminListener' => 'Admin\\Event\\Factory\\AdminListenerFactory',
            'Store\\Service\\GoodsManager' => 'Store\\Service\\Factory\\GoodsManagerFactory',
            'Store\\Service\\GoodsCustomManager' => 'Store\\Service\\Factory\\GoodsCustomManagerFactory',
            'Store\\Service\\GoodsCategoryManager' => 'Store\\Service\\Factory\\GoodsCategoryManagerFactory',
            'Store\\Service\\WarehouseManager' => 'Store\\Service\\Factory\\WarehouseManagerFactory',
            'Store\\Service\\PositionManager' => 'Store\\Service\\Factory\\PositionManagerFactory',
            'Store\\Service\\UnitManager' => 'Store\\Service\\Factory\\UnitManagerFactory',
            'Store\\Service\\BrandManager' => 'Store\\Service\\Factory\\BrandManagerFactory',
            'Store\\Event\\Listener' => 'Store\\Event\\Factory\\ListenerFactory',
            'Customer\\Service\\CustomerManager' => 'Customer\\Service\\Factory\\CustomerManagerFactory',
            'Customer\\Service\\CustomerCategoryManager' => 'Customer\\Service\\Factory\\CustomerCategoryManagerFactory',
            'Customer\\Service\\SupplierManager' => 'Customer\\Service\\Factory\\SupplierManagerFactory',
            'Customer\\Service\\SupplierCategoryManager' => 'Customer\\Service\\Factory\\SupplierCategoryManagerFactory',
            'Purchase\\Service\\OrderManager' => 'Purchase\\Service\\Factory\\OrderManagerFactory',
            'Purchase\\Service\\OrderGoodsManager' => 'Purchase\\Service\\Factory\\OrderGoodsManagerFactory',
            'Purchase\\Service\\WarehouseOrderManager' => 'Purchase\\Service\\Factory\\WarehouseOrderManagerFactory',
            'Purchase\\Service\\WarehouseOrderGoodsManager' => 'Purchase\\Service\\Factory\\WarehouseOrderGoodsManagerFactory',
            'Purchase\\Service\\OrderReturnManager' => 'Purchase\\Service\\Factory\\OrderReturnManagerFactory',
            'Purchase\\Service\\OrderGoodsReturnManager' => 'Purchase\\Service\\Factory\\OrderGoodsReturnManagerFactory',
            'Store\\Service\\WarehouseGoodsManager' => 'Store\\Service\\Factory\\WarehouseGoodsManagerFactory',
            'Purchase\\Service\\PurchaseGoodsPriceLogManager' => 'Purchase\\Service\\Factory\\PurchaseGoodsPriceLogManagerFactory',
            'Purchase\\Service\\PurchaseOperLogManager' => 'Purchase\\Service\\Factory\\PurchaseOperLogManagerFactory',
            'Finance\\Service\\PayableManager' => 'Finance\\Service\\Factory\\PayableManagerFactory',
            'Finance\\Service\\PayableLogManager' => 'Finance\\Service\\Factory\\PayableLogManagerFactory',
            'Finance\\Service\\ReceivableManager' => 'Finance\\Service\\Factory\\ReceivableManagerFactory',
            'Finance\\Service\\ReceivableLogManager' => 'Finance\\Service\\Factory\\ReceivableLogManagerFactory',
            'Finance\\Event\\FinanceListener' => 'Finance\\Event\\Factory\\FinanceListenerFactory',
            'Sales\\Service\\SalesOrderManager' => 'Sales\\Service\\Factory\\SalesOrderManagerFactory',
            'Sales\\Service\\SalesOrderGoodsManager' => 'Sales\\Service\\Factory\\SalesOrderGoodsManagerFactory',
            'Sales\\Service\\SalesSendOrderManager' => 'Sales\\Service\\Factory\\SalesSendOrderManagerFactory',
            'Sales\\Service\\SalesSendWarehouseGoodsManager' => 'Sales\\Service\\Factory\\SalesSendWarehouseGoodsManagerFactory',
            'Sales\\Service\\SalesGoodsPriceLogManager' => 'Sales\\Service\\Factory\\SalesGoodsPriceLogManagerFactory',
            'Sales\\Service\\SalesOperLogManager' => 'Sales\\Service\\Factory\\SalesOperLogManagerFactory',
            'Sales\\Service\\SalesOrderReturnManager' => 'Sales\\Service\\Factory\\SalesOrderReturnManagerFactory',
            'Sales\\Service\\SalesOrderGoodsReturnManager' => 'Sales\\Service\\Factory\\SalesOrderGoodsReturnManagerFactory',
            'Shop\\Service\\ShopOrderManager' => 'Shop\\Service\\Factory\\ShopOrderManagerFactory',
            'Shop\\Service\\ShopOrderGoodsManager' => 'Shop\\Service\\Factory\\ShopOrderGoodsManagerFactory',
            'Shop\\Service\\ShopOrderDeliveryAddressManager' => 'Shop\\Service\\Factory\\ShopOrderDeliveryAddressManagerFactory',
            'Shop\\Event\\Listener' => 'Shop\\Event\\Factory\\ListenerFactory',
            'Report\\Report\\SalesReport' => 'Report\\Report\\Factory\\SalesReportFactory',
            'Stock\\Service\\OtherWarehouseOrderManager' => 'Stock\\Service\\Factory\\OtherWarehouseOrderManagerFactory',
            'Stock\\Service\\OtherWarehouseOrderGoodsManager' => 'Stock\\Service\\Factory\\OtherWarehouseOrderGoodsManagerFactory',
            'Stock\\Service\\StockCheckManager' => 'Stock\\Service\\Factory\\StockCheckManagerFactory',
            'Stock\\Service\\StockCheckGoodsManager' => 'Stock\\Service\\Factory\\StockCheckGoodsManagerFactory',
            'Stock\\Service\\StockTransferManager' => 'Stock\\Service\\Factory\\StockTransferManagerFactory',
            'Stock\\Service\\StockTransferGoodsManager' => 'Stock\\Service\\Factory\\StockTransferGoodsManagerFactory',
            'Stock\\Service\\ExWarehouseOrderManager' => 'Stock\\Service\\Factory\\ExWarehouseOrderManagerFactory',
            'Stock\\Service\\ExWarehouseOrderGoodsManager' => 'Stock\\Service\\Factory\\ExWarehouseOrderGoodsManagerFactory'
        ],
        'abstract_factories' => [
            0 => 'Laminas\\Session\\Service\\ContainerAbstractServiceFactory',
            1 => 'Laminas\\Log\\LoggerAbstractServiceFactory',
            2 => 'Laminas\\Log\\PsrLoggerAbstractAdapterFactory',
            3 => 'Laminas\\Form\\FormAbstractServiceFactory',
            4 => 'Laminas\\Db\\Adapter\\AdapterAbstractServiceFactory',
            5 => 'Laminas\\Cache\\Service\\StorageCacheAbstractServiceFactory',
            'DoctrineModule' => 'DoctrineModule\\ServiceFactory\\AbstractDoctrineServiceFactory'
        ],
        'delegators' => [
            'HttpRouter' => [
                'Laminas\\Mvc\\I18n\\Router\\HttpRouterDelegatorFactory'
            ],
            'Laminas\\Router\\Http\\TreeRouteStack' => [
                'Laminas\\Mvc\\I18n\\Router\\HttpRouterDelegatorFactory'
            ],
            'ControllerManager' => [
                'Laminas\\Mvc\\Console\\Service\\ControllerManagerDelegatorFactory'
            ],
            'Request' => [
                'Laminas\\Mvc\\Console\\Service\\ConsoleRequestDelegatorFactory'
            ],
            'Response' => [
                'Laminas\\Mvc\\Console\\Service\\ConsoleResponseDelegatorFactory'
            ],
            'Laminas\\Router\\RouteStackInterface' => [
                'Laminas\\Mvc\\Console\\Router\\ConsoleRouterDelegatorFactory'
            ],
            'Laminas\\Mvc\\SendResponseListener' => [
                'Laminas\\Mvc\\Console\\Service\\ConsoleResponseSenderDelegatorFactory'
            ],
            'ViewHelperManager' => [
                'Laminas\\Mvc\\Console\\Service\\ConsoleViewHelperManagerDelegatorFactory'
            ],
            'ViewManager' => [
                'Laminas\\Mvc\\Console\\Service\\ViewManagerDelegatorFactory'
            ]
        ],
        'invokables' => [
            'DoctrineModule\\Authentication\\Storage\\Session' => 'Laminas\\Authentication\\Storage\\Session',
            'doctrine.dbal_cmd.import' => 'Doctrine\\DBAL\\Tools\\Console\\Command\\ImportCommand',
            'doctrine.orm_cmd.clear_cache_metadata' => 'Doctrine\\ORM\\Tools\\Console\\Command\\ClearCache\\MetadataCommand',
            'doctrine.orm_cmd.clear_cache_result' => 'Doctrine\\ORM\\Tools\\Console\\Command\\ClearCache\\ResultCommand',
            'doctrine.orm_cmd.clear_cache_query' => 'Doctrine\\ORM\\Tools\\Console\\Command\\ClearCache\\QueryCommand',
            'doctrine.orm_cmd.schema_tool_create' => 'Doctrine\\ORM\\Tools\\Console\\Command\\SchemaTool\\CreateCommand',
            'doctrine.orm_cmd.schema_tool_update' => 'Doctrine\\ORM\\Tools\\Console\\Command\\SchemaTool\\UpdateCommand',
            'doctrine.orm_cmd.schema_tool_drop' => 'Doctrine\\ORM\\Tools\\Console\\Command\\SchemaTool\\DropCommand',
            'doctrine.orm_cmd.convert_d1_schema' => 'Doctrine\\ORM\\Tools\\Console\\Command\\ConvertDoctrine1SchemaCommand',
            'doctrine.orm_cmd.generate_entities' => 'Doctrine\\ORM\\Tools\\Console\\Command\\GenerateEntitiesCommand',
            'doctrine.orm_cmd.generate_proxies' => 'Doctrine\\ORM\\Tools\\Console\\Command\\GenerateProxiesCommand',
            'doctrine.orm_cmd.convert_mapping' => 'Doctrine\\ORM\\Tools\\Console\\Command\\ConvertMappingCommand',
            'doctrine.orm_cmd.run_dql' => 'Doctrine\\ORM\\Tools\\Console\\Command\\RunDqlCommand',
            'doctrine.orm_cmd.validate_schema' => 'Doctrine\\ORM\\Tools\\Console\\Command\\ValidateSchemaCommand',
            'doctrine.orm_cmd.info' => 'Doctrine\\ORM\\Tools\\Console\\Command\\InfoCommand',
            'doctrine.orm_cmd.ensure_production_settings' => 'Doctrine\\ORM\\Tools\\Console\\Command\\EnsureProductionSettingsCommand',
            'doctrine.orm_cmd.generate_repositories' => 'Doctrine\\ORM\\Tools\\Console\\Command\\GenerateRepositoriesCommand'
        ]
    ],
    'input_filters' => [
        'abstract_factories' => [
            'Laminas\\InputFilter\\InputFilterAbstractServiceFactory'
        ]
    ],
    'controller_plugins' => [
        'aliases' => [
            'prg' => 'Laminas\\Mvc\\Plugin\\Prg\\PostRedirectGet',
            'PostRedirectGet' => 'Laminas\\Mvc\\Plugin\\Prg\\PostRedirectGet',
            'postRedirectGet' => 'Laminas\\Mvc\\Plugin\\Prg\\PostRedirectGet',
            'postredirectget' => 'Laminas\\Mvc\\Plugin\\Prg\\PostRedirectGet',
            'Laminas\\Mvc\\Controller\\Plugin\\PostRedirectGet' => 'Laminas\\Mvc\\Plugin\\Prg\\PostRedirectGet',
            'Zend\\Mvc\\Controller\\Plugin\\PostRedirectGet' => 'Laminas\\Mvc\\Plugin\\Prg\\PostRedirectGet',
            'Zend\\Mvc\\Plugin\\Prg\\PostRedirectGet' => 'Laminas\\Mvc\\Plugin\\Prg\\PostRedirectGet',
            'identity' => 'Laminas\\Mvc\\Plugin\\Identity\\Identity',
            'Identity' => 'Laminas\\Mvc\\Plugin\\Identity\\Identity',
            'Laminas\\Mvc\\Controller\\Plugin\\Identity' => 'Laminas\\Mvc\\Plugin\\Identity\\Identity',
            'Zend\\Mvc\\Controller\\Plugin\\Identity' => 'Laminas\\Mvc\\Plugin\\Identity\\Identity',
            'Zend\\Mvc\\Plugin\\Identity\\Identity' => 'Laminas\\Mvc\\Plugin\\Identity\\Identity',
            'flashmessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\FlashMessenger',
            'flashMessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\FlashMessenger',
            'FlashMessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\FlashMessenger',
            'Laminas\\Mvc\\Controller\\Plugin\\FlashMessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\FlashMessenger',
            'Zend\\Mvc\\Controller\\Plugin\\FlashMessenger' => 'Laminas\\Mvc\\Controller\\Plugin\\FlashMessenger',
            'Zend\\Mvc\\Plugin\\FlashMessenger\\FlashMessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\FlashMessenger',
            'fileprg' => 'Laminas\\Mvc\\Plugin\\FilePrg\\FilePostRedirectGet',
            'FilePostRedirectGet' => 'Laminas\\Mvc\\Plugin\\FilePrg\\FilePostRedirectGet',
            'filePostRedirectGet' => 'Laminas\\Mvc\\Plugin\\FilePrg\\FilePostRedirectGet',
            'filepostredirectget' => 'Laminas\\Mvc\\Plugin\\FilePrg\\FilePostRedirectGet',
            'Laminas\\Mvc\\Controller\\Plugin\\FilePostRedirectGet' => 'Laminas\\Mvc\\Plugin\\FilePrg\\FilePostRedirectGet',
            'Zend\\Mvc\\Controller\\Plugin\\FilePostRedirectGet' => 'Laminas\\Mvc\\Controller\\Plugin\\FilePostRedirectGet',
            'Zend\\Mvc\\Plugin\\FilePrg\\FilePostRedirectGet' => 'Laminas\\Mvc\\Plugin\\FilePrg\\FilePostRedirectGet',
            'CreateConsoleNotFoundModel' => 'Laminas\\Mvc\\Console\\Controller\\Plugin\\CreateConsoleNotFoundModel',
            'createConsoleNotFoundModel' => 'Laminas\\Mvc\\Console\\Controller\\Plugin\\CreateConsoleNotFoundModel',
            'createconsolenotfoundmodel' => 'Laminas\\Mvc\\Console\\Controller\\Plugin\\CreateConsoleNotFoundModel',
            'Laminas\\Mvc\\Controller\\Plugin\\CreateConsoleNotFoundModel::class' => 'Laminas\\Mvc\\Console\\Controller\\Plugin\\CreateConsoleNotFoundModel',
            'Zend\\Mvc\\Controller\\Plugin\\CreateConsoleNotFoundModel::class' => 'Laminas\\Mvc\\Controller\\Plugin\\CreateConsoleNotFoundModel::class',
            'Zend\\Mvc\\Console\\Controller\\Plugin\\CreateConsoleNotFoundModel' => 'Laminas\\Mvc\\Console\\Controller\\Plugin\\CreateConsoleNotFoundModel',
            'adminSession' => 'Admin\\Plugin\\AdminSessionPlugin',
            'adminCommon' => 'Admin\\Plugin\\AdminCommonPlugin',
            'createConfig' => 'Admin\\Plugin\\CreateConfigPlugin',
            'storeCommon' => 'Store\\Plugin\\StoreCommonPlugin',
            'customerCommon' => 'Customer\\Plugin\\CustomerCommonPlugin',
            'purchaseCommon' => 'Purchase\\Plugin\\PurchaseCommonPlugin',
            'financeCommon' => 'Finance\\Plugin\\FinanceCommonPlugin',
            'salesCommon' => 'Sales\\Plugin\\SalesCommonPlugin',
            'stockPlugin' => 'Stock\\Plugin\\StockPlugin'
        ],
        'factories' => [
            'Laminas\\Mvc\\Plugin\\Prg\\PostRedirectGet' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Mvc\\Plugin\\Identity\\Identity' => 'Laminas\\Mvc\\Plugin\\Identity\\IdentityFactory',
            'Laminas\\Mvc\\Plugin\\FlashMessenger\\FlashMessenger' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Mvc\\Plugin\\FilePrg\\FilePostRedirectGet' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Mvc\\Console\\Controller\\Plugin\\CreateConsoleNotFoundModel' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Admin\\Plugin\\AdminSessionPlugin' => 'Admin\\Plugin\\Factory\\AdminSessionPluginFactory',
            'Admin\\Plugin\\AdminCommonPlugin' => 'Admin\\Plugin\\Factory\\AdminCommonPluginFactory',
            'Admin\\Plugin\\CreateConfigPlugin' => 'Admin\\Plugin\\Factory\\CreateConfigPluginFactory',
            'Store\\Plugin\\StoreCommonPlugin' => 'Store\\Plugin\\Factory\\StoreCommonPluginFactory',
            'Customer\\Plugin\\CustomerCommonPlugin' => 'Customer\\Plugin\\Factory\\CustomerCommonPluginFactory',
            'Purchase\\Plugin\\PurchaseCommonPlugin' => 'Purchase\\Plugin\\Factory\\PurchaseCommonPluginFactory',
            'Finance\\Plugin\\FinanceCommonPlugin' => 'Finance\\Plugin\\Factory\\FinanceCommonPluginFactory',
            'Sales\\Plugin\\SalesCommonPlugin' => 'Sales\\Plugin\\Factory\\SalesCommonPluginFactory',
            'Stock\\Plugin\\StockPlugin' => 'Stock\\Plugin\\Factory\\StockPluginFactory'
        ]
    ],
    'view_helpers' => [
        'aliases' => [
            'flashmessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\View\\Helper\\FlashMessenger',
            'flashMessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\View\\Helper\\FlashMessenger',
            'FlashMessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\View\\Helper\\FlashMessenger',
            'Zend\\Mvc\\Plugin\\FlashMessenger\\View\\Helper\\FlashMessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\View\\Helper\\FlashMessenger',
            'zendviewhelperflashmessenger' => 'laminasviewhelperflashmessenger',
            'currencyformat' => 'Laminas\\I18n\\View\\Helper\\CurrencyFormat',
            'currencyFormat' => 'Laminas\\I18n\\View\\Helper\\CurrencyFormat',
            'CurrencyFormat' => 'Laminas\\I18n\\View\\Helper\\CurrencyFormat',
            'dateformat' => 'Laminas\\I18n\\View\\Helper\\DateFormat',
            'dateFormat' => 'Laminas\\I18n\\View\\Helper\\DateFormat',
            'DateFormat' => 'Laminas\\I18n\\View\\Helper\\DateFormat',
            'numberformat' => 'Laminas\\I18n\\View\\Helper\\NumberFormat',
            'numberFormat' => 'Laminas\\I18n\\View\\Helper\\NumberFormat',
            'NumberFormat' => 'Laminas\\I18n\\View\\Helper\\NumberFormat',
            'plural' => 'Laminas\\I18n\\View\\Helper\\Plural',
            'Plural' => 'Laminas\\I18n\\View\\Helper\\Plural',
            'translate' => 'Laminas\\I18n\\View\\Helper\\Translate',
            'Translate' => 'Laminas\\I18n\\View\\Helper\\Translate',
            'translateplural' => 'Laminas\\I18n\\View\\Helper\\TranslatePlural',
            'translatePlural' => 'Laminas\\I18n\\View\\Helper\\TranslatePlural',
            'TranslatePlural' => 'Laminas\\I18n\\View\\Helper\\TranslatePlural',
            'Zend\\I18n\\View\\Helper\\CurrencyFormat' => 'Laminas\\I18n\\View\\Helper\\CurrencyFormat',
            'Zend\\I18n\\View\\Helper\\DateFormat' => 'Laminas\\I18n\\View\\Helper\\DateFormat',
            'Zend\\I18n\\View\\Helper\\NumberFormat' => 'Laminas\\I18n\\View\\Helper\\NumberFormat',
            'Zend\\I18n\\View\\Helper\\Plural' => 'Laminas\\I18n\\View\\Helper\\Plural',
            'Zend\\I18n\\View\\Helper\\Translate' => 'Laminas\\I18n\\View\\Helper\\Translate',
            'Zend\\I18n\\View\\Helper\\TranslatePlural' => 'Laminas\\I18n\\View\\Helper\\TranslatePlural',
            'form' => 'Laminas\\Form\\View\\Helper\\Form',
            'Form' => 'Laminas\\Form\\View\\Helper\\Form',
            'formbutton' => 'Laminas\\Form\\View\\Helper\\FormButton',
            'form_button' => 'Laminas\\Form\\View\\Helper\\FormButton',
            'formButton' => 'Laminas\\Form\\View\\Helper\\FormButton',
            'FormButton' => 'Laminas\\Form\\View\\Helper\\FormButton',
            'formcaptcha' => 'Laminas\\Form\\View\\Helper\\FormCaptcha',
            'form_captcha' => 'Laminas\\Form\\View\\Helper\\FormCaptcha',
            'formCaptcha' => 'Laminas\\Form\\View\\Helper\\FormCaptcha',
            'FormCaptcha' => 'Laminas\\Form\\View\\Helper\\FormCaptcha',
            'captchadumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'captcha_dumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'captcha/dumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'CaptchaDumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'captchaDumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'formcaptchadumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'form_captcha_dumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'formCaptchaDumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'FormCaptchaDumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'captchafiglet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'captcha/figlet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'captcha_figlet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'captchaFiglet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'CaptchaFiglet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'formcaptchafiglet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'form_captcha_figlet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'formCaptchaFiglet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'FormCaptchaFiglet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'captchaimage' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'captcha/image' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'captcha_image' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'captchaImage' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'CaptchaImage' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'formcaptchaimage' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'form_captcha_image' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'formCaptchaImage' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'FormCaptchaImage' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'captcharecaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'captcha/recaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'captcha_recaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'captchaRecaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'CaptchaRecaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'formcaptcharecaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'form_captcha_recaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'formCaptchaRecaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'FormCaptchaRecaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'formcheckbox' => 'Laminas\\Form\\View\\Helper\\FormCheckbox',
            'form_checkbox' => 'Laminas\\Form\\View\\Helper\\FormCheckbox',
            'formCheckbox' => 'Laminas\\Form\\View\\Helper\\FormCheckbox',
            'FormCheckbox' => 'Laminas\\Form\\View\\Helper\\FormCheckbox',
            'formcollection' => 'Laminas\\Form\\View\\Helper\\FormCollection',
            'form_collection' => 'Laminas\\Form\\View\\Helper\\FormCollection',
            'formCollection' => 'Laminas\\Form\\View\\Helper\\FormCollection',
            'FormCollection' => 'Laminas\\Form\\View\\Helper\\FormCollection',
            'formcolor' => 'Laminas\\Form\\View\\Helper\\FormColor',
            'form_color' => 'Laminas\\Form\\View\\Helper\\FormColor',
            'formColor' => 'Laminas\\Form\\View\\Helper\\FormColor',
            'FormColor' => 'Laminas\\Form\\View\\Helper\\FormColor',
            'formdate' => 'Laminas\\Form\\View\\Helper\\FormDate',
            'form_date' => 'Laminas\\Form\\View\\Helper\\FormDate',
            'formDate' => 'Laminas\\Form\\View\\Helper\\FormDate',
            'FormDate' => 'Laminas\\Form\\View\\Helper\\FormDate',
            'formdatetime' => 'Laminas\\Form\\View\\Helper\\FormDateTime',
            'form_date_time' => 'Laminas\\Form\\View\\Helper\\FormDateTime',
            'formDateTime' => 'Laminas\\Form\\View\\Helper\\FormDateTime',
            'FormDateTime' => 'Laminas\\Form\\View\\Helper\\FormDateTime',
            'formdatetimelocal' => 'Laminas\\Form\\View\\Helper\\FormDateTimeLocal',
            'form_date_time_local' => 'Laminas\\Form\\View\\Helper\\FormDateTimeLocal',
            'formDateTimeLocal' => 'Laminas\\Form\\View\\Helper\\FormDateTimeLocal',
            'FormDateTimeLocal' => 'Laminas\\Form\\View\\Helper\\FormDateTimeLocal',
            'formdatetimeselect' => 'Laminas\\Form\\View\\Helper\\FormDateTimeSelect',
            'form_date_time_select' => 'Laminas\\Form\\View\\Helper\\FormDateTimeSelect',
            'formDateTimeSelect' => 'Laminas\\Form\\View\\Helper\\FormDateTimeSelect',
            'FormDateTimeSelect' => 'Laminas\\Form\\View\\Helper\\FormDateTimeSelect',
            'formdateselect' => 'Laminas\\Form\\View\\Helper\\FormDateSelect',
            'form_date_select' => 'Laminas\\Form\\View\\Helper\\FormDateSelect',
            'formDateSelect' => 'Laminas\\Form\\View\\Helper\\FormDateSelect',
            'FormDateSelect' => 'Laminas\\Form\\View\\Helper\\FormDateSelect',
            'form_element' => 'Laminas\\Form\\View\\Helper\\FormElement',
            'formelement' => 'Laminas\\Form\\View\\Helper\\FormElement',
            'formElement' => 'Laminas\\Form\\View\\Helper\\FormElement',
            'FormElement' => 'Laminas\\Form\\View\\Helper\\FormElement',
            'form_element_errors' => 'Laminas\\Form\\View\\Helper\\FormElementErrors',
            'formelementerrors' => 'Laminas\\Form\\View\\Helper\\FormElementErrors',
            'formElementErrors' => 'Laminas\\Form\\View\\Helper\\FormElementErrors',
            'FormElementErrors' => 'Laminas\\Form\\View\\Helper\\FormElementErrors',
            'form_email' => 'Laminas\\Form\\View\\Helper\\FormEmail',
            'formemail' => 'Laminas\\Form\\View\\Helper\\FormEmail',
            'formEmail' => 'Laminas\\Form\\View\\Helper\\FormEmail',
            'FormEmail' => 'Laminas\\Form\\View\\Helper\\FormEmail',
            'form_file' => 'Laminas\\Form\\View\\Helper\\FormFile',
            'formfile' => 'Laminas\\Form\\View\\Helper\\FormFile',
            'formFile' => 'Laminas\\Form\\View\\Helper\\FormFile',
            'FormFile' => 'Laminas\\Form\\View\\Helper\\FormFile',
            'formfileapcprogress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileApcProgress',
            'form_file_apc_progress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileApcProgress',
            'formFileApcProgress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileApcProgress',
            'FormFileApcProgress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileApcProgress',
            'formfilesessionprogress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileSessionProgress',
            'form_file_session_progress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileSessionProgress',
            'formFileSessionProgress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileSessionProgress',
            'FormFileSessionProgress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileSessionProgress',
            'formfileuploadprogress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileUploadProgress',
            'form_file_upload_progress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileUploadProgress',
            'formFileUploadProgress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileUploadProgress',
            'FormFileUploadProgress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileUploadProgress',
            'formhidden' => 'Laminas\\Form\\View\\Helper\\FormHidden',
            'form_hidden' => 'Laminas\\Form\\View\\Helper\\FormHidden',
            'formHidden' => 'Laminas\\Form\\View\\Helper\\FormHidden',
            'FormHidden' => 'Laminas\\Form\\View\\Helper\\FormHidden',
            'formimage' => 'Laminas\\Form\\View\\Helper\\FormImage',
            'form_image' => 'Laminas\\Form\\View\\Helper\\FormImage',
            'formImage' => 'Laminas\\Form\\View\\Helper\\FormImage',
            'FormImage' => 'Laminas\\Form\\View\\Helper\\FormImage',
            'forminput' => 'Laminas\\Form\\View\\Helper\\FormInput',
            'form_input' => 'Laminas\\Form\\View\\Helper\\FormInput',
            'formInput' => 'Laminas\\Form\\View\\Helper\\FormInput',
            'FormInput' => 'Laminas\\Form\\View\\Helper\\FormInput',
            'formlabel' => 'Laminas\\Form\\View\\Helper\\FormLabel',
            'form_label' => 'Laminas\\Form\\View\\Helper\\FormLabel',
            'formLabel' => 'Laminas\\Form\\View\\Helper\\FormLabel',
            'FormLabel' => 'Laminas\\Form\\View\\Helper\\FormLabel',
            'formmonth' => 'Laminas\\Form\\View\\Helper\\FormMonth',
            'form_month' => 'Laminas\\Form\\View\\Helper\\FormMonth',
            'formMonth' => 'Laminas\\Form\\View\\Helper\\FormMonth',
            'FormMonth' => 'Laminas\\Form\\View\\Helper\\FormMonth',
            'formmonthselect' => 'Laminas\\Form\\View\\Helper\\FormMonthSelect',
            'form_month_select' => 'Laminas\\Form\\View\\Helper\\FormMonthSelect',
            'formMonthSelect' => 'Laminas\\Form\\View\\Helper\\FormMonthSelect',
            'FormMonthSelect' => 'Laminas\\Form\\View\\Helper\\FormMonthSelect',
            'formmulticheckbox' => 'Laminas\\Form\\View\\Helper\\FormMultiCheckbox',
            'form_multi_checkbox' => 'Laminas\\Form\\View\\Helper\\FormMultiCheckbox',
            'formMultiCheckbox' => 'Laminas\\Form\\View\\Helper\\FormMultiCheckbox',
            'FormMultiCheckbox' => 'Laminas\\Form\\View\\Helper\\FormMultiCheckbox',
            'formnumber' => 'Laminas\\Form\\View\\Helper\\FormNumber',
            'form_number' => 'Laminas\\Form\\View\\Helper\\FormNumber',
            'formNumber' => 'Laminas\\Form\\View\\Helper\\FormNumber',
            'FormNumber' => 'Laminas\\Form\\View\\Helper\\FormNumber',
            'formpassword' => 'Laminas\\Form\\View\\Helper\\FormPassword',
            'form_password' => 'Laminas\\Form\\View\\Helper\\FormPassword',
            'formPassword' => 'Laminas\\Form\\View\\Helper\\FormPassword',
            'FormPassword' => 'Laminas\\Form\\View\\Helper\\FormPassword',
            'formradio' => 'Laminas\\Form\\View\\Helper\\FormRadio',
            'form_radio' => 'Laminas\\Form\\View\\Helper\\FormRadio',
            'formRadio' => 'Laminas\\Form\\View\\Helper\\FormRadio',
            'FormRadio' => 'Laminas\\Form\\View\\Helper\\FormRadio',
            'formrange' => 'Laminas\\Form\\View\\Helper\\FormRange',
            'form_range' => 'Laminas\\Form\\View\\Helper\\FormRange',
            'formRange' => 'Laminas\\Form\\View\\Helper\\FormRange',
            'FormRange' => 'Laminas\\Form\\View\\Helper\\FormRange',
            'formreset' => 'Laminas\\Form\\View\\Helper\\FormReset',
            'form_reset' => 'Laminas\\Form\\View\\Helper\\FormReset',
            'formReset' => 'Laminas\\Form\\View\\Helper\\FormReset',
            'FormReset' => 'Laminas\\Form\\View\\Helper\\FormReset',
            'formrow' => 'Laminas\\Form\\View\\Helper\\FormRow',
            'form_row' => 'Laminas\\Form\\View\\Helper\\FormRow',
            'formRow' => 'Laminas\\Form\\View\\Helper\\FormRow',
            'FormRow' => 'Laminas\\Form\\View\\Helper\\FormRow',
            'formsearch' => 'Laminas\\Form\\View\\Helper\\FormSearch',
            'form_search' => 'Laminas\\Form\\View\\Helper\\FormSearch',
            'formSearch' => 'Laminas\\Form\\View\\Helper\\FormSearch',
            'FormSearch' => 'Laminas\\Form\\View\\Helper\\FormSearch',
            'formselect' => 'Laminas\\Form\\View\\Helper\\FormSelect',
            'form_select' => 'Laminas\\Form\\View\\Helper\\FormSelect',
            'formSelect' => 'Laminas\\Form\\View\\Helper\\FormSelect',
            'FormSelect' => 'Laminas\\Form\\View\\Helper\\FormSelect',
            'formsubmit' => 'Laminas\\Form\\View\\Helper\\FormSubmit',
            'form_submit' => 'Laminas\\Form\\View\\Helper\\FormSubmit',
            'formSubmit' => 'Laminas\\Form\\View\\Helper\\FormSubmit',
            'FormSubmit' => 'Laminas\\Form\\View\\Helper\\FormSubmit',
            'formtel' => 'Laminas\\Form\\View\\Helper\\FormTel',
            'form_tel' => 'Laminas\\Form\\View\\Helper\\FormTel',
            'formTel' => 'Laminas\\Form\\View\\Helper\\FormTel',
            'FormTel' => 'Laminas\\Form\\View\\Helper\\FormTel',
            'formtext' => 'Laminas\\Form\\View\\Helper\\FormText',
            'form_text' => 'Laminas\\Form\\View\\Helper\\FormText',
            'formText' => 'Laminas\\Form\\View\\Helper\\FormText',
            'FormText' => 'Laminas\\Form\\View\\Helper\\FormText',
            'formtextarea' => 'Laminas\\Form\\View\\Helper\\FormTextarea',
            'form_text_area' => 'Laminas\\Form\\View\\Helper\\FormTextarea',
            'formTextarea' => 'Laminas\\Form\\View\\Helper\\FormTextarea',
            'formTextArea' => 'Laminas\\Form\\View\\Helper\\FormTextarea',
            'FormTextArea' => 'Laminas\\Form\\View\\Helper\\FormTextarea',
            'formtime' => 'Laminas\\Form\\View\\Helper\\FormTime',
            'form_time' => 'Laminas\\Form\\View\\Helper\\FormTime',
            'formTime' => 'Laminas\\Form\\View\\Helper\\FormTime',
            'FormTime' => 'Laminas\\Form\\View\\Helper\\FormTime',
            'formurl' => 'Laminas\\Form\\View\\Helper\\FormUrl',
            'form_url' => 'Laminas\\Form\\View\\Helper\\FormUrl',
            'formUrl' => 'Laminas\\Form\\View\\Helper\\FormUrl',
            'FormUrl' => 'Laminas\\Form\\View\\Helper\\FormUrl',
            'formweek' => 'Laminas\\Form\\View\\Helper\\FormWeek',
            'form_week' => 'Laminas\\Form\\View\\Helper\\FormWeek',
            'formWeek' => 'Laminas\\Form\\View\\Helper\\FormWeek',
            'FormWeek' => 'Laminas\\Form\\View\\Helper\\FormWeek',
            'Zend\\Form\\View\\Helper\\Form' => 'Laminas\\Form\\View\\Helper\\Form',
            'Zend\\Form\\View\\Helper\\FormButton' => 'Laminas\\Form\\View\\Helper\\FormButton',
            'Zend\\Form\\View\\Helper\\FormCaptcha' => 'Laminas\\Form\\View\\Helper\\FormCaptcha',
            'Zend\\Form\\View\\Helper\\Captcha\\Dumb' => 'Laminas\\Form\\View\\Helper\\Captcha\\Dumb',
            'Zend\\Form\\View\\Helper\\Captcha\\Figlet' => 'Laminas\\Form\\View\\Helper\\Captcha\\Figlet',
            'Zend\\Form\\View\\Helper\\Captcha\\Image' => 'Laminas\\Form\\View\\Helper\\Captcha\\Image',
            'Zend\\Form\\View\\Helper\\Captcha\\ReCaptcha' => 'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha',
            'Zend\\Form\\View\\Helper\\FormCheckbox' => 'Laminas\\Form\\View\\Helper\\FormCheckbox',
            'Zend\\Form\\View\\Helper\\FormCollection' => 'Laminas\\Form\\View\\Helper\\FormCollection',
            'Zend\\Form\\View\\Helper\\FormColor' => 'Laminas\\Form\\View\\Helper\\FormColor',
            'Zend\\Form\\View\\Helper\\FormDate' => 'Laminas\\Form\\View\\Helper\\FormDate',
            'Zend\\Form\\View\\Helper\\FormDateTime' => 'Laminas\\Form\\View\\Helper\\FormDateTime',
            'Zend\\Form\\View\\Helper\\FormDateTimeLocal' => 'Laminas\\Form\\View\\Helper\\FormDateTimeLocal',
            'Zend\\Form\\View\\Helper\\FormDateTimeSelect' => 'Laminas\\Form\\View\\Helper\\FormDateTimeSelect',
            'Zend\\Form\\View\\Helper\\FormDateSelect' => 'Laminas\\Form\\View\\Helper\\FormDateSelect',
            'Zend\\Form\\View\\Helper\\FormElement' => 'Laminas\\Form\\View\\Helper\\FormElement',
            'Zend\\Form\\View\\Helper\\FormElementErrors' => 'Laminas\\Form\\View\\Helper\\FormElementErrors',
            'Zend\\Form\\View\\Helper\\FormEmail' => 'Laminas\\Form\\View\\Helper\\FormEmail',
            'Zend\\Form\\View\\Helper\\FormFile' => 'Laminas\\Form\\View\\Helper\\FormFile',
            'Zend\\Form\\View\\Helper\\File\\FormFileApcProgress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileApcProgress',
            'Zend\\Form\\View\\Helper\\File\\FormFileSessionProgress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileSessionProgress',
            'Zend\\Form\\View\\Helper\\File\\FormFileUploadProgress' => 'Laminas\\Form\\View\\Helper\\File\\FormFileUploadProgress',
            'Zend\\Form\\View\\Helper\\FormHidden' => 'Laminas\\Form\\View\\Helper\\FormHidden',
            'Zend\\Form\\View\\Helper\\FormImage' => 'Laminas\\Form\\View\\Helper\\FormImage',
            'Zend\\Form\\View\\Helper\\FormInput' => 'Laminas\\Form\\View\\Helper\\FormInput',
            'Zend\\Form\\View\\Helper\\FormLabel' => 'Laminas\\Form\\View\\Helper\\FormLabel',
            'Zend\\Form\\View\\Helper\\FormMonth' => 'Laminas\\Form\\View\\Helper\\FormMonth',
            'Zend\\Form\\View\\Helper\\FormMonthSelect' => 'Laminas\\Form\\View\\Helper\\FormMonthSelect',
            'Zend\\Form\\View\\Helper\\FormMultiCheckbox' => 'Laminas\\Form\\View\\Helper\\FormMultiCheckbox',
            'Zend\\Form\\View\\Helper\\FormNumber' => 'Laminas\\Form\\View\\Helper\\FormNumber',
            'Zend\\Form\\View\\Helper\\FormPassword' => 'Laminas\\Form\\View\\Helper\\FormPassword',
            'Zend\\Form\\View\\Helper\\FormRadio' => 'Laminas\\Form\\View\\Helper\\FormRadio',
            'Zend\\Form\\View\\Helper\\FormRange' => 'Laminas\\Form\\View\\Helper\\FormRange',
            'Zend\\Form\\View\\Helper\\FormReset' => 'Laminas\\Form\\View\\Helper\\FormReset',
            'Zend\\Form\\View\\Helper\\FormRow' => 'Laminas\\Form\\View\\Helper\\FormRow',
            'Zend\\Form\\View\\Helper\\FormSearch' => 'Laminas\\Form\\View\\Helper\\FormSearch',
            'Zend\\Form\\View\\Helper\\FormSelect' => 'Laminas\\Form\\View\\Helper\\FormSelect',
            'Zend\\Form\\View\\Helper\\FormSubmit' => 'Laminas\\Form\\View\\Helper\\FormSubmit',
            'Zend\\Form\\View\\Helper\\FormTel' => 'Laminas\\Form\\View\\Helper\\FormTel',
            'Zend\\Form\\View\\Helper\\FormText' => 'Laminas\\Form\\View\\Helper\\FormText',
            'Zend\\Form\\View\\Helper\\FormTextarea' => 'Laminas\\Form\\View\\Helper\\FormTextarea',
            'Zend\\Form\\View\\Helper\\FormTime' => 'Laminas\\Form\\View\\Helper\\FormTime',
            'Zend\\Form\\View\\Helper\\FormUrl' => 'Laminas\\Form\\View\\Helper\\FormUrl',
            'Zend\\Form\\View\\Helper\\FormWeek' => 'Laminas\\Form\\View\\Helper\\FormWeek',
            'currentRoute' => 'Admin\\View\\Helper\\CurrentRoute',
            'currentAdmin' => 'Admin\\View\\Helper\\CurrentAdmin',
            'HelpUrl' => 'Admin\\View\\Helper\\HelpUrl',
            'erpCurrencyFormat' => 'Admin\\View\\Helper\\ErpCurrencyFormatHelper',
            'common' => 'Admin\\View\\Helper\\CommonHelper',
            'adminHelper' => 'Admin\\View\\Helper\\AdminHelper',
            'storeHelper' => 'Store\\View\\StoreHelper',
            'PurchaseHelper' => 'Purchase\\View\\Helper\\PurchaseHelper',
            'salesHelper' => 'Sales\\View\\SalesHelper',
            'shop' => 'Shop\\View\\ShopHelper',
            'stockHelper' => 'Stock\\View\\Helper\\StockHelper'
        ],
        'factories' => [
            'Laminas\\Mvc\\Plugin\\FlashMessenger\\View\\Helper\\FlashMessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\View\\Helper\\FlashMessengerFactory',
            'laminasviewhelperflashmessenger' => 'Laminas\\Mvc\\Plugin\\FlashMessenger\\View\\Helper\\FlashMessengerFactory',
            'Laminas\\I18n\\View\\Helper\\CurrencyFormat' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\View\\Helper\\DateFormat' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\View\\Helper\\NumberFormat' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\View\\Helper\\Plural' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\View\\Helper\\Translate' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\View\\Helper\\TranslatePlural' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\Form' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormButton' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormCaptcha' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\Captcha\\Dumb' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\Captcha\\Figlet' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\Captcha\\Image' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\Captcha\\ReCaptcha' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormCheckbox' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormCollection' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormColor' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormDate' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormDateTime' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormDateTimeLocal' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormDateTimeSelect' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormDateSelect' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormElement' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormElementErrors' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormEmail' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormFile' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\File\\FormFileApcProgress' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\File\\FormFileSessionProgress' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\File\\FormFileUploadProgress' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormHidden' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormImage' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormInput' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormLabel' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormMonth' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormMonthSelect' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormMultiCheckbox' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormNumber' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormPassword' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormRadio' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormRange' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormReset' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormRow' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormSearch' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormSelect' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormSubmit' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormTel' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormText' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormTextarea' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormTime' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormUrl' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\Form\\View\\Helper\\FormWeek' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Admin\\View\\Helper\\CurrentRoute' => 'Admin\\View\\Helper\\Factory\\CurrentRouteFactory',
            'Admin\\View\\Helper\\CurrentAdmin' => 'Admin\\View\\Helper\\Factory\\CurrentAdminFactory',
            'Admin\\View\\Helper\\HelpUrl' => 'Admin\\View\\Helper\\Factory\\HelpUrlFactory',
            'Admin\\View\\Helper\\ErpCurrencyFormatHelper' => 'Admin\\View\\Helper\\Factory\\ErpCurrencyFormatHelperFactory',
            'Admin\\View\\Helper\\CommonHelper' => 'Admin\\View\\Helper\\Factory\\CommonHelperFactory',
            'Admin\\View\\Helper\\AdminHelper' => 'Admin\\View\\Helper\\Factory\\AdminHelperFactory',
            'Store\\View\\StoreHelper' => 'Store\\View\\Factory\\StoreHelperFactory',
            'Purchase\\View\\Helper\\PurchaseHelper' => 'Purchase\\View\\Helper\\Factory\\PurchaseHelperFactory',
            'Sales\\View\\SalesHelper' => 'Sales\\View\\Factory\\SalesHelperFactory',
            'Shop\\View\\ShopHelper' => 'Shop\\View\\Factory\\ShopHelperFactory',
            'Stock\\View\\Helper\\StockHelper' => 'Stock\\View\\Helper\\Factory\\StockHelperFactory'
        ]
    ],
    'filters' => [
        'aliases' => [
            'alnum' => 'Laminas\\I18n\\Filter\\Alnum',
            'Alnum' => 'Laminas\\I18n\\Filter\\Alnum',
            'alpha' => 'Laminas\\I18n\\Filter\\Alpha',
            'Alpha' => 'Laminas\\I18n\\Filter\\Alpha',
            'numberformat' => 'Laminas\\I18n\\Filter\\NumberFormat',
            'numberFormat' => 'Laminas\\I18n\\Filter\\NumberFormat',
            'NumberFormat' => 'Laminas\\I18n\\Filter\\NumberFormat',
            'numberparse' => 'Laminas\\I18n\\Filter\\NumberParse',
            'numberParse' => 'Laminas\\I18n\\Filter\\NumberParse',
            'NumberParse' => 'Laminas\\I18n\\Filter\\NumberParse',
            'Zend\\I18n\\Filter\\Alnum' => 'Laminas\\I18n\\Filter\\Alnum',
            'Zend\\I18n\\Filter\\Alpha' => 'Laminas\\I18n\\Filter\\Alpha',
            'Zend\\I18n\\Filter\\NumberFormat' => 'Laminas\\I18n\\Filter\\NumberFormat',
            'Zend\\I18n\\Filter\\NumberParse' => 'Laminas\\I18n\\Filter\\NumberParse'
        ],
        'factories' => [
            'Laminas\\I18n\\Filter\\Alnum' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\Filter\\Alpha' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\Filter\\NumberFormat' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\Filter\\NumberParse' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory'
        ]
    ],
    'validators' => [
        'aliases' => [
            'alnum' => 'Laminas\\I18n\\Validator\\Alnum',
            'Alnum' => 'Laminas\\I18n\\Validator\\Alnum',
            'alpha' => 'Laminas\\I18n\\Validator\\Alpha',
            'Alpha' => 'Laminas\\I18n\\Validator\\Alpha',
            'datetime' => 'Laminas\\I18n\\Validator\\DateTime',
            'dateTime' => 'Laminas\\I18n\\Validator\\DateTime',
            'DateTime' => 'Laminas\\I18n\\Validator\\DateTime',
            'float' => 'Laminas\\I18n\\Validator\\IsFloat',
            'Float' => 'Laminas\\I18n\\Validator\\IsFloat',
            'int' => 'Laminas\\I18n\\Validator\\IsInt',
            'Int' => 'Laminas\\I18n\\Validator\\IsInt',
            'isfloat' => 'Laminas\\I18n\\Validator\\IsFloat',
            'isFloat' => 'Laminas\\I18n\\Validator\\IsFloat',
            'IsFloat' => 'Laminas\\I18n\\Validator\\IsFloat',
            'isint' => 'Laminas\\I18n\\Validator\\IsInt',
            'isInt' => 'Laminas\\I18n\\Validator\\IsInt',
            'IsInt' => 'Laminas\\I18n\\Validator\\IsInt',
            'phonenumber' => 'Laminas\\I18n\\Validator\\PhoneNumber',
            'phoneNumber' => 'Laminas\\I18n\\Validator\\PhoneNumber',
            'PhoneNumber' => 'Laminas\\I18n\\Validator\\PhoneNumber',
            'postcode' => 'Laminas\\I18n\\Validator\\PostCode',
            'postCode' => 'Laminas\\I18n\\Validator\\PostCode',
            'PostCode' => 'Laminas\\I18n\\Validator\\PostCode',
            'Zend\\I18n\\Validator\\Alnum' => 'Laminas\\I18n\\Validator\\Alnum',
            'Zend\\I18n\\Validator\\Alpha' => 'Laminas\\I18n\\Validator\\Alpha',
            'Zend\\I18n\\Validator\\DateTime' => 'Laminas\\I18n\\Validator\\DateTime',
            'Zend\\I18n\\Validator\\IsFloat' => 'Laminas\\I18n\\Validator\\IsFloat',
            'Zend\\I18n\\Validator\\IsInt' => 'Laminas\\I18n\\Validator\\IsInt',
            'Zend\\I18n\\Validator\\PhoneNumber' => 'Laminas\\I18n\\Validator\\PhoneNumber',
            'Zend\\I18n\\Validator\\PostCode' => 'Laminas\\I18n\\Validator\\PostCode',
            'DoctrineNoObjectExists' => 'DoctrineModule\\Validator\\NoObjectExists',
            'DoctrineObjectExists' => 'DoctrineModule\\Validator\\ObjectExists',
            'DoctrineUniqueObject' => 'DoctrineModule\\Validator\\UniqueObject'
        ],
        'factories' => [
            'Laminas\\I18n\\Validator\\Alnum' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\Validator\\Alpha' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\Validator\\DateTime' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\Validator\\IsFloat' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\Validator\\IsInt' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\Validator\\PhoneNumber' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'Laminas\\I18n\\Validator\\PostCode' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory',
            'DoctrineModule\\Validator\\NoObjectExists' => 'DoctrineModule\\Validator\\Service\\NoObjectExistsFactory',
            'DoctrineModule\\Validator\\ObjectExists' => 'DoctrineModule\\Validator\\Service\\ObjectExistsFactory',
            'DoctrineModule\\Validator\\UniqueObject' => 'DoctrineModule\\Validator\\Service\\UniqueObjectFactory'
        ]
    ],
    'console' => [
        'router' => [
            'routes' => [
                'doctrine_cli' => [
                    'type' => 'symfony_cli'
                ]
            ]
        ]
    ],
    'laminas-cli' => [
        'commands' => [
            'laminas-cache:deprecation:check-storage-factory-config' => 'Laminas\\Cache\\Command\\DeprecatedStorageFactoryConfigurationCheckCommand'
        ]
    ],
    'route_manager' => [
        'factories' => [
            'symfony_cli' => 'DoctrineModule\\Service\\SymfonyCliRouteFactory'
        ]
    ],
    'router' => [
        'routes' => [
            'doctrine_orm_module_yuml' => [
                'type' => 'literal',
                'options' => [
                    'route' => '/ocra_service_manager_yuml',
                    'defaults' => [
                        'controller' => 'DoctrineORMModule\\Yuml\\YumlController',
                        'action' => 'index'
                    ]
                ]
            ],
            'login' => [
                'type' => 'Laminas\\Router\\Http\\Literal',
                'options' => [
                    'route' => '/',
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\IndexController',
                        'action' => 'index'
                    ]
                ]
            ],
            'logout' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/logout',
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\IndexController',
                        'action' => 'logout'
                    ]
                ]
            ],
            'erp-outputUpdateKey' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/erp-outputUpdateKey',
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\IndexController',
                        'action' => 'outputUpdateKey'
                    ]
                ]
            ],
            'home' => [
                'type' => 'Laminas\\Router\\Http\\Literal',
                'options' => [
                    'route' => '/home',
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\HomeController',
                        'action' => 'index'
                    ]
                ],
                'may_terminate' => true,
                'child_routes' => [
                    'default' => [
                        'type' => 'Laminas\\Router\\Http\\Segment',
                        'options' => [
                            'route' => '[/:action]',
                            'constraints' => [
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]+'
                            ],
                            'defaults' => [
                                'action' => 'index'
                            ]
                        ]
                    ]
                ]
            ],
            'admin' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/admin[/:action[/:id]]',
                    'constraints' => [
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
                    ],
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\AdminController',
                        'action' => 'index'
                    ]
                ]
            ],
            'admin-group' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/admin-group[/:action[/:id]]',
                    'constraints' => [
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
                    ],
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\AdminGroupController',
                        'action' => 'index'
                    ]
                ]
            ],
            'admin-system' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/admin-system[/:action[/:id]]',
                    'constraints' => [
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
                    ],
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\SystemController',
                        'action' => 'index'
                    ]
                ]
            ],
            'region' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/admin-region[/:action[/:id[/:top-id]]]',
                    'constraints' => [
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
                    ],
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\RegionController',
                        'action' => 'index'
                    ]
                ]
            ],
            'app' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/admin-app[/:action[/:id]]',
                    'constraints' => [
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
                    ],
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\AppController',
                        'action' => 'index'
                    ]
                ]
            ],
            'update' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/admin-update[/:action[/:id]]',
                    'constraints' => [
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
                    ],
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\UpdateController',
                        'action' => 'index'
                    ]
                ]
            ],
            'service-bind' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/service-bind[/:action[/:id]]',
                    'constraints' => [
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
                    ],
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\ServiceBindController',
                        'action' => 'index'
                    ]
                ]
            ],
            'oper-log' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/admin-oper[/:action[/:id]]',
                    'constraints' => [
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*'
                    ],
                    'defaults' => [
                        'controller' => 'Admin\\Controller\\OperLogController',
                        'action' => 'index'
                    ]
                ]
            ],
            'goods' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/store-goods[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Store\\Controller\\GoodsController',
                        'action' => 'index'
                    ]
                ]
            ],
            'goods-category' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/store-goods-category[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Store\\Controller\\GoodsCategoryController',
                        'action' => 'index'
                    ]
                ]
            ],
            'warehouse' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/store-warehouse[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Store\\Controller\\WarehouseController',
                        'action' => 'index'
                    ]
                ]
            ],
            'position' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/store-warehouse-position[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Store\\Controller\\PositionController',
                        'action' => 'index'
                    ]
                ]
            ],
            'unit' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/store-unit[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Store\\Controller\\UnitController',
                        'action' => 'index'
                    ]
                ]
            ],
            'brand' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/store-brand[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Store\\Controller\\BrandController',
                        'action' => 'index'
                    ]
                ]
            ],
            'goods-spec-group' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/store-goods-spec-group[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Store\\Controller\\GoodsSpecGroupController',
                        'action' => 'index'
                    ]
                ]
            ],
            'goods-spec' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/store-goods-spec[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Store\\Controller\\GoodsSpecController',
                        'action' => 'index'
                    ]
                ]
            ],
            'customer' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/customer[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Customer\\Controller\\CustomerController',
                        'action' => 'index'
                    ]
                ]
            ],
            'customer-category' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/customer-category[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Customer\\Controller\\CustomerCategoryController',
                        'action' => 'index'
                    ]
                ]
            ],
            'supplier' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/supplier[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Customer\\Controller\\SupplierController',
                        'action' => 'index'
                    ]
                ]
            ],
            'supplier-category' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/supplier-category[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Customer\\Controller\\SupplierCategoryController',
                        'action' => 'index'
                    ]
                ]
            ],
            'p-order' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/purchase-order[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Purchase\\Controller\\OrderController',
                        'action' => 'index'
                    ]
                ]
            ],
            'order-return' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/purchase-return[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Purchase\\Controller\\OrderReturnController',
                        'action' => 'index'
                    ]
                ]
            ],
            'warehouse-order' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/warehouse-order[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Purchase\\Controller\\WarehouseOrderController',
                        'action' => 'index'
                    ]
                ]
            ],
            'finance-payable' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/finance-payable[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Finance\\Controller\\PayableController',
                        'action' => 'index'
                    ]
                ]
            ],
            'accounts-receivable' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/accounts-receivable[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Finance\\Controller\\ReceivablesController',
                        'action' => 'index'
                    ]
                ]
            ],
            'sales-order' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/sales-order[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Sales\\Controller\\SalesOrderController',
                        'action' => 'index'
                    ]
                ]
            ],
            'sales-send-order' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/sales-send-order[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Sales\\Controller\\SalesSendOrderController',
                        'action' => 'index'
                    ]
                ]
            ],
            'sales-order-return' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/sales-order-return[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Sales\\Controller\\SalesOrderReturnController',
                        'action' => 'index'
                    ]
                ]
            ],
            'erp-api' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/api[/:action]',
                    'defaults' => [
                        'controller' => 'Api\\Controller\\IndexController',
                        'action' => 'index'
                    ]
                ]
            ],
            'erp-other-api' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/other-api[/:action]',
                    'defaults' => [
                        'controller' => 'Api\\Controller\\OtherController',
                        'action' => 'index'
                    ]
                ]
            ],
            'app-shop' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/shop[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Shop\\Controller\\IndexController',
                        'action' => 'index'
                    ]
                ]
            ],
            'app-shop-order-goods' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/shop/goods[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Shop\\Controller\\OrderGoodsController',
                        'action' => 'index'
                    ]
                ]
            ],
            'report' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/report[/:action]',
                    'defaults' => [
                        'controller' => 'Report\\Controller\\IndexController',
                        'action' => 'index'
                    ]
                ]
            ],
            'report-stock' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/report-stock[/:action]',
                    'defaults' => [
                        'controller' => 'Report\\Controller\\ReportStockController',
                        'action' => 'index'
                    ]
                ]
            ],
            'report-purchase' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/report-purchase[/:action]',
                    'defaults' => [
                        'controller' => 'Report\\Controller\\ReportPurchaseController',
                        'action' => 'index'
                    ]
                ]
            ],
            'report-finance' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/report-finance[/:action]',
                    'defaults' => [
                        'controller' => 'Report\\Controller\\ReportFinanceController',
                        'action' => 'index'
                    ]
                ]
            ],
            'erp-stock' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/stock[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Stock\\Controller\\IndexController',
                        'action' => 'index'
                    ]
                ]
            ],
            'stock-check' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/stock-check[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Stock\\Controller\\StockCheckController',
                        'action' => 'index'
                    ]
                ]
            ],
            'stock-transfer' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/stock-transfer[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Stock\\Controller\\StockTransferController',
                        'action' => 'index'
                    ]
                ]
            ],
            'stock-ex' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/stock-ex[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Stock\\Controller\\ExWarehouseController',
                        'action' => 'index'
                    ]
                ]
            ],
            'erp-install' => [
                'type' => 'Laminas\\Router\\Http\\Segment',
                'options' => [
                    'route' => '/install[/:action[/:id]]',
                    'defaults' => [
                        'controller' => 'Install\\Controller\\InstallController',
                        'action' => 'index'
                    ]
                ]
            ]
        ]
    ],
    'doctrine' => [
        'cache' => [
            'apc' => [
                'class' => 'Doctrine\\Common\\Cache\\ApcCache',
                'namespace' => 'DoctrineModule'
            ],
            'apcu' => [
                'class' => 'Doctrine\\Common\\Cache\\ApcuCache',
                'namespace' => 'DoctrineModule'
            ],
            'array' => [
                'class' => 'Doctrine\\Common\\Cache\\ArrayCache',
                'namespace' => 'DoctrineModule'
            ],
            'filesystem' => [
                'class' => 'Doctrine\\Common\\Cache\\FilesystemCache',
                'directory' => 'data/DoctrineModule/cache',
                'namespace' => 'DoctrineModule'
            ],
            'memcache' => [
                'class' => 'Doctrine\\Common\\Cache\\MemcacheCache',
                'instance' => 'my_memcache_alias',
                'namespace' => 'DoctrineModule'
            ],
            'memcached' => [
                'class' => 'Doctrine\\Common\\Cache\\MemcachedCache',
                'instance' => 'my_memcached_alias',
                'namespace' => 'DoctrineModule'
            ],
            'predis' => [
                'class' => 'Doctrine\\Common\\Cache\\PredisCache',
                'instance' => 'my_predis_alias',
                'namespace' => 'DoctrineModule'
            ],
            'redis' => [
                'class' => 'Doctrine\\Common\\Cache\\RedisCache',
                'instance' => 'my_redis_alias',
                'namespace' => 'DoctrineModule'
            ],
            'wincache' => [
                'class' => 'Doctrine\\Common\\Cache\\WinCacheCache',
                'namespace' => 'DoctrineModule'
            ],
            'xcache' => [
                'class' => 'Doctrine\\Common\\Cache\\XcacheCache',
                'namespace' => 'DoctrineModule'
            ],
            'zenddata' => [
                'class' => 'Doctrine\\Common\\Cache\\ZendDataCache',
                'namespace' => 'DoctrineModule'
            ]
        ],
        'authentication' => [
            'odm_default' => [],
            'orm_default' => [
                'objectManager' => 'doctrine.entitymanager.orm_default'
            ]
        ],
        'authenticationadapter' => [
            'odm_default' => true,
            'orm_default' => true
        ],
        'authenticationstorage' => [
            'odm_default' => true,
            'orm_default' => true
        ],
        'authenticationservice' => [
            'odm_default' => true,
            'orm_default' => true
        ],
        'connection' => [
            'orm_default' => [
                'configuration' => 'orm_default',
                'eventmanager' => 'orm_default',
                'params' => [
                    'host' => 'localhost',
                    'port' => '3306',
                    'user' => 'root',
                    'password' => 'root',
                    'dbname' => 'db_erp',
                    'charset' => 'utf8mb4',
                    'driverOptions' => [
                        1002 => 'SET NAMES \'utf8mb4\', sql_mode=(SELECT REPLACE(@@sql_mode,\'ONLY_FULL_GROUP_BY\',\'\'))'
                    ]
                ],
                'driverClass' => 'Doctrine\\DBAL\\Driver\\PDO\\MySQL\\Driver'
            ]
        ],
        'configuration' => [
            'orm_default' => [
                'metadata_cache' => 'array',
                'query_cache' => 'array',
                'result_cache' => 'array',
                'hydration_cache' => 'array',
                'driver' => 'orm_default',
                'generate_proxies' => true,
                'proxy_dir' => 'data/cache/Doctrine/DoctrineORMModule/Proxy',
                'proxy_namespace' => 'DoctrineORMModule\\Proxy',
                'filters' => [],
                'datetime_functions' => [],
                'string_functions' => [],
                'numeric_functions' => [],
                'second_level_cache' => []
            ]
        ],
        'driver' => [
            'orm_default' => [
                'class' => 'Doctrine\\Persistence\\Mapping\\Driver\\MappingDriverChain',
                'drivers' => [
                    'Admin\\Entity' => 'Admin_driver',
                    'Store\\Entity' => 'Store_driver',
                    'Customer\\Entity' => 'Customer_driver',
                    'Purchase\\Entity' => 'Purchase_driver',
                    'Finance\\Entity' => 'Finance_driver',
                    'Sales\\Entity' => 'Sales_driver',
                    'Api\\Entity' => 'Api_driver',
                    'Shop\\Entity' => 'Shop_driver',
                    'Report\\Entity' => 'Report_driver',
                    'Stock\\Entity' => 'Stock_driver'
                ]
            ],
            'Admin_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../src/Entity'
                ]
            ],
            'Store_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Store\\config/../src/Entity'
                ]
            ],
            'Customer_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Customer\\config/../src/Entity'
                ]
            ],
            'Purchase_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Purchase\\config/../src/Entity'
                ]
            ],
            'Finance_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Finance\\config/../src/Entity'
                ]
            ],
            'Sales_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Sales\\config/../src/Entity'
                ]
            ],
            'Api_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Api\\config/../src/Entity'
                ]
            ],
            'Shop_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Shop\\config/../src/Entity'
                ]
            ],
            'Report_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Report\\config/../src/Entity'
                ]
            ],
            'Stock_driver' => [
                'class' => 'Doctrine\\ORM\\Mapping\\Driver\\AnnotationDriver',
                'cache' => 'array',
                'paths' => [
                    'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Stock\\config/../src/Entity'
                ]
            ]
        ],
        'entitymanager' => [
            'orm_default' => [
                'connection' => 'orm_default',
                'configuration' => 'orm_default'
            ]
        ],
        'eventmanager' => [
            'orm_default' => []
        ],
        'sql_logger_collector' => [
            'orm_default' => []
        ],
        'mapping_collector' => [
            'orm_default' => []
        ],
        'formannotationbuilder' => [
            'orm_default' => []
        ],
        'entity_resolver' => [
            'orm_default' => []
        ],
        'migrations_configuration' => [
            'orm_default' => [
                'table_storage' => [
                    'table_name' => 'DoctrineMigrationVersions',
                    'version_column_name' => 'version',
                    'version_column_length' => 1024,
                    'executed_at_column_name' => 'executedAt',
                    'execution_time_column_name' => 'executionTime'
                ],
                'migrations_paths' => [],
                'migrations' => [],
                'all_or_nothing' => false,
                'check_database_platform' => true,
                'custom_template' => null,
                'dependency_factory_services' => []
            ]
        ],
        'migrations_cmd' => [
            'current' => [],
            'dumpschema' => [],
            'diff' => [],
            'generate' => [],
            'execute' => [],
            'latest' => [],
            'list' => [],
            'migrate' => [],
            'rollup' => [],
            'status' => [],
            'syncmetadatastorage' => [],
            'uptodate' => [],
            'version' => []
        ]
    ],
    'doctrine_factories' => [
        'cache' => 'DoctrineModule\\Service\\CacheFactory',
        'eventmanager' => 'DoctrineModule\\Service\\EventManagerFactory',
        'driver' => 'DoctrineModule\\Service\\DriverFactory',
        'authenticationadapter' => 'DoctrineModule\\Service\\Authentication\\AdapterFactory',
        'authenticationstorage' => 'DoctrineModule\\Service\\Authentication\\StorageFactory',
        'authenticationservice' => 'DoctrineModule\\Service\\Authentication\\AuthenticationServiceFactory',
        'connection' => 'DoctrineORMModule\\Service\\DBALConnectionFactory',
        'configuration' => 'DoctrineORMModule\\Service\\ConfigurationFactory',
        'entitymanager' => 'DoctrineORMModule\\Service\\EntityManagerFactory',
        'entity_resolver' => 'DoctrineORMModule\\Service\\EntityResolverFactory',
        'sql_logger_collector' => 'DoctrineORMModule\\Service\\SQLLoggerCollectorFactory',
        'mapping_collector' => 'DoctrineORMModule\\Service\\MappingCollectorFactory',
        'formannotationbuilder' => 'DoctrineORMModule\\Service\\FormAnnotationBuilderFactory',
        'migrations_cmd' => 'DoctrineORMModule\\Service\\MigrationsCommandFactory'
    ],
    'controllers' => [
        'factories' => [
            'DoctrineModule\\Controller\\Cli' => 'DoctrineModule\\Service\\CliControllerFactory',
            'Admin\\Controller\\IndexController' => 'Admin\\Controller\\Factory\\IndexControllerFactory',
            'Admin\\Controller\\HomeController' => 'Admin\\Controller\\Factory\\HomeControllerFactory',
            'Admin\\Controller\\AdminController' => 'Admin\\Controller\\Factory\\AdminControllerFactory',
            'Admin\\Controller\\AdminGroupController' => 'Admin\\Controller\\Factory\\AdminGroupControllerFactory',
            'Admin\\Controller\\RegionController' => 'Admin\\Controller\\Factory\\RegionControllerFactory',
            'Admin\\Controller\\SystemController' => 'Admin\\Controller\\Factory\\SystemControllerFactory',
            'Admin\\Controller\\AppController' => 'Admin\\Controller\\Factory\\AppControllerFactory',
            'Admin\\Controller\\UpdateController' => 'Admin\\Controller\\Factory\\UpdateControllerFactory',
            'Admin\\Controller\\ServiceBindController' => 'Admin\\Controller\\Factory\\ServiceBindControllerFactory',
            'Admin\\Controller\\OperLogController' => 'Admin\\Controller\\Factory\\OperLogControllerFactory',
            'Store\\Controller\\GoodsController' => 'Store\\Controller\\Factory\\GoodsControllerFactory',
            'Store\\Controller\\GoodsCategoryController' => 'Store\\Controller\\Factory\\GoodsCategoryControllerFactory',
            'Store\\Controller\\WarehouseController' => 'Store\\Controller\\Factory\\WarehouseControllerFactory',
            'Store\\Controller\\PositionController' => 'Store\\Controller\\Factory\\PositionControllerFactory',
            'Store\\Controller\\UnitController' => 'Store\\Controller\\Factory\\UnitControllerFactory',
            'Store\\Controller\\BrandController' => 'Store\\Controller\\Factory\\BrandControllerFactory',
            'Store\\Controller\\GoodsSpecGroupController' => 'Store\\Controller\\Factory\\GoodsSpecGroupControllerFactory',
            'Store\\Controller\\GoodsSpecController' => 'Store\\Controller\\Factory\\GoodsSpecControllerFactory',
            'Customer\\Controller\\CustomerController' => 'Customer\\Controller\\Factory\\CustomerControllerFactory',
            'Customer\\Controller\\CustomerCategoryController' => 'Customer\\Controller\\Factory\\CustomerCategoryControllerFactory',
            'Customer\\Controller\\SupplierController' => 'Customer\\Controller\\Factory\\SupplierControllerFactory',
            'Customer\\Controller\\SupplierCategoryController' => 'Customer\\Controller\\Factory\\SupplierCategoryControllerFactory',
            'Purchase\\Controller\\OrderController' => 'Purchase\\Controller\\Factory\\OrderControllerFactory',
            'Purchase\\Controller\\OrderReturnController' => 'Purchase\\Controller\\Factory\\OrderReturnControllerFactory',
            'Purchase\\Controller\\WarehouseOrderController' => 'Purchase\\Controller\\Factory\\WarehouseOrderControllerFactory',
            'Finance\\Controller\\PayableController' => 'Finance\\Controller\\Factory\\PayableControllerFactory',
            'Finance\\Controller\\ReceivablesController' => 'Finance\\Controller\\Factory\\ReceivablesControllerFactory',
            'Sales\\Controller\\SalesOrderController' => 'Sales\\Controller\\Factory\\SalesOrderControllerFactory',
            'Sales\\Controller\\SalesSendOrderController' => 'Sales\\Controller\\Factory\\SalesSendOrderControllerFactory',
            'Sales\\Controller\\SalesOrderReturnController' => 'Sales\\Controller\\Factory\\SalesOrderReturnControllerFactory',
            'Api\\Controller\\IndexController' => 'Api\\Controller\\Factory\\IndexControllerFactory',
            'Api\\Controller\\OtherController' => 'Api\\Controller\\Factory\\OtherControllerFactory',
            'Shop\\Controller\\IndexController' => 'Shop\\Controller\\Factory\\IndexControllerFactory',
            'Shop\\Controller\\OrderGoodsController' => 'Shop\\Controller\\Factory\\OrderGoodsControllerFactory',
            'Report\\Controller\\IndexController' => 'Report\\Controller\\Factory\\IndexControllerFactory',
            'Report\\Controller\\ReportFinanceController' => 'Report\\Controller\\Factory\\ReportFinanceControllerFactory',
            'Report\\Controller\\ReportPurchaseController' => 'Report\\Controller\\Factory\\ReportPurchaseControllerFactory',
            'Report\\Controller\\ReportStockController' => 'Report\\Controller\\Factory\\ReportStockControllerFactory',
            'Stock\\Controller\\IndexController' => 'Stock\\Controller\\Factory\\IndexControllerFactory',
            'Stock\\Controller\\StockCheckController' => 'Stock\\Controller\\Factory\\StockCheckControllerFactory',
            'Stock\\Controller\\StockTransferController' => 'Stock\\Controller\\Factory\\StockTransferControllerFactory',
            'Stock\\Controller\\ExWarehouseController' => 'Stock\\Controller\\Factory\\ExWarehouseControllerFactory',
            'Install\\Controller\\InstallController' => 'Laminas\\ServiceManager\\Factory\\InvokableFactory'
        ]
    ],
    'form_elements' => [
        'aliases' => [
            'objectselect' => 'DoctrineModule\\Form\\Element\\ObjectSelect',
            'objectradio' => 'DoctrineModule\\Form\\Element\\ObjectRadio',
            'objectmulticheckbox' => 'DoctrineModule\\Form\\Element\\ObjectMultiCheckbox'
        ],
        'factories' => [
            'DoctrineModule\\Form\\Element\\ObjectSelect' => 'DoctrineORMModule\\Service\\ObjectSelectFactory',
            'DoctrineModule\\Form\\Element\\ObjectRadio' => 'DoctrineORMModule\\Service\\ObjectRadioFactory',
            'DoctrineModule\\Form\\Element\\ObjectMultiCheckbox' => 'DoctrineORMModule\\Service\\ObjectMultiCheckboxFactory'
        ]
    ],
    'hydrators' => [
        'factories' => [
            'Doctrine\\Laminas\\Hydrator\\DoctrineObject' => 'DoctrineORMModule\\Service\\DoctrineObjectHydratorFactory'
        ]
    ],
    'view_manager' => [
        'template_map' => [
            'laminas-developer-tools/toolbar/doctrine-orm-queries' => 'E:\\phpstudy_pro\\WWW\\DBErp\\vendor\\doctrine\\doctrine-orm-module\\config/../view/laminas-developer-tools/toolbar/doctrine-orm-queries.phtml',
            'laminas-developer-tools/toolbar/doctrine-orm-mappings' => 'E:\\phpstudy_pro\\WWW\\DBErp\\vendor\\doctrine\\doctrine-orm-module\\config/../view/laminas-developer-tools/toolbar/doctrine-orm-mappings.phtml',
            'layout/layout' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/layout/layout.phtml',
            'layout/left' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/layout/left-menu.phtml',
            'layout/header' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/layout/header.phtml',
            'layout/footer' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/layout/footer.phtml',
            'layout/messages' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/partial/messages.phtml',
            'layout/ajaxPage' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/partial/ajaxPaginator.phtml',
            'layout/page' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/partial/paginator.phtml',
            'layout/breadcrumb' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/partial/breadcrumb.phtml',
            'error/404' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/error/404.phtml',
            'error/index' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view/error/index.phtml',
            'install/layout' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Install\\config/../view/install/layout.phtml'
        ],
        'display_not_found_reason' => true,
        'display_exceptions' => true,
        'doctype' => 'HTML5',
        'not_found_template' => 'error/404',
        'exception_template' => 'error/index',
        'template_path_stack' => [
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Store\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Customer\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Purchase\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Finance\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Sales\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Api\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Shop\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Report\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Stock\\config/../view',
            'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Install\\config/../view'
        ],
        'strategies' => [
            'ViewJsonStrategy',
            'ViewJsonStrategy',
            'ViewJsonStrategy',
            'ViewJsonStrategy',
            'ViewJsonStrategy',
            'ViewJsonStrategy',
            'ViewJsonStrategy',
            'ViewJsonStrategy',
            'ViewJsonStrategy',
            'ViewJsonStrategy',
            'ViewJsonStrategy'
        ]
    ],
    'laminas-developer-tools' => [
        'profiler' => [
            'collectors' => [
                'doctrine.sql_logger_collector.orm_default' => 'doctrine.sql_logger_collector.orm_default',
                'doctrine.mapping_collector.orm_default' => 'doctrine.mapping_collector.orm_default'
            ]
        ],
        'toolbar' => [
            'entries' => [
                'doctrine.sql_logger_collector.orm_default' => 'laminas-developer-tools/toolbar/doctrine-orm-queries',
                'doctrine.mapping_collector.orm_default' => 'laminas-developer-tools/toolbar/doctrine-orm-mappings'
            ]
        ]
    ],
    'listeners' => [
        'Admin\\Event\\AdminListener',
        'Store\\Event\\Listener',
        'Finance\\Event\\FinanceListener',
        'Shop\\Event\\Listener'
    ],
    'permission_filter' => [
        'Admin' => [
            'name' => '系统',
            'controllers' => [
                'Admin\\Controller\\SystemController' => [
                    'name' => '系统设置',
                    'action' => [
                        'index'
                    ],
                    'actionNames' => [
                        'index' => '系统设置'
                    ]
                ],
                'Admin\\Controller\\AdminController' => [
                    'name' => '管理员',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete',
                        'changePassword'
                    ],
                    'actionNames' => [
                        'index' => '管理员列表',
                        'add' => '管理员添加',
                        'edit' => '管理员编辑',
                        'delete' => '管理员删除',
                        'changePassword' => '修改密码'
                    ]
                ],
                'Admin\\Controller\\AdminGroupController' => [
                    'name' => '管理员组',
                    'action' => [
                        'adminGroupList',
                        'addAdminGroup',
                        'editAdminGroup',
                        'deleteAdminGroup'
                    ],
                    'actionNames' => [
                        'adminGroupList' => '管理员组列表',
                        'addAdminGroup' => '添加管理员组',
                        'editAdminGroup' => '编辑管理员组',
                        'deleteAdminGroup' => '删除管理员组'
                    ]
                ],
                'Admin\\Controller\\RegionController' => [
                    'name' => '地区',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete'
                    ],
                    'actionNames' => [
                        'index' => '地区列表',
                        'add' => '添加地区',
                        'edit' => '编辑地区',
                        'delete' => '删除地区'
                    ]
                ],
                'Admin\\Controller\\AppController' => [
                    'name' => '商城绑定',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete'
                    ],
                    'actionNames' => [
                        'index' => '商城列表',
                        'add' => '添加商城',
                        'edit' => '编辑商城',
                        'delete' => '删除商城'
                    ]
                ],
                'Admin\\Controller\\OperLogController' => [
                    'name' => '操作日志',
                    'action' => [
                        'index',
                        'clearOperLog'
                    ],
                    'actionNames' => [
                        'index' => '查看日志',
                        'clearOperLog' => '删除日志'
                    ]
                ],
                'Admin\\Controller\\ServiceBindController' => [
                    'name' => '服务绑定',
                    'action' => [
                        'index',
                        'clearServiceBind'
                    ],
                    'actionNames' => [
                        'index' => '服务绑定',
                        'clearServiceBind' => '服务解绑'
                    ]
                ],
                'Admin\\Controller\\UpdateController' => [
                    'name' => '系统更新',
                    'action' => [
                        'index',
                        'updateErpPackageInfo',
                        'startErpPackage'
                    ],
                    'actionNames' => [
                        'index' => '更新包列表',
                        'updateErpPackageInfo' => '查看更新包详情',
                        'startErpPackage' => '更新包更新'
                    ]
                ]
            ]
        ],
        'Store' => [
            'name' => '商品&仓库',
            'controllers' => [
                'Store\\Controller\\GoodsCategoryController' => [
                    'name' => '商品分类',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete',
                        'updateAll'
                    ],
                    'actionNames' => [
                        'index' => '分类列表',
                        'add' => '添加分类',
                        'edit' => '编辑分类',
                        'delete' => '删除分类',
                        'updateAll' => '批量操作'
                    ]
                ],
                'Store\\Controller\\GoodsController' => [
                    'name' => '商品',
                    'action' => [
                        'index',
                        'add',
                        'importGoods',
                        'edit',
                        'delete',
                        'priceTrend',
                        'goodsWarehouse'
                    ],
                    'actionNames' => [
                        'index' => '商品列表',
                        'add' => '添加商品',
                        'importGoods' => '批量导入商品',
                        'edit' => '编辑商品',
                        'delete' => '删除商品',
                        'priceTrend' => '价格趋势',
                        'goodsWarehouse' => '入库分布'
                    ]
                ],
                'Store\\Controller\\BrandController' => [
                    'name' => '商品品牌',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete',
                        'updateAll'
                    ],
                    'actionNames' => [
                        'index' => '品牌列表',
                        'add' => '添加品牌',
                        'edit' => '编辑品牌',
                        'delete' => '删除品牌',
                        'updateAll' => '批量操作'
                    ]
                ],
                'Store\\Controller\\UnitController' => [
                    'name' => '计量单位',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete'
                    ],
                    'actionNames' => [
                        'index' => '单位列表',
                        'add' => '添加单位',
                        'edit' => '编辑单位',
                        'delete' => '删除单位'
                    ]
                ],
                'Store\\Controller\\WarehouseController' => [
                    'name' => '仓库',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete',
                        'updateAll'
                    ],
                    'actionNames' => [
                        'index' => '仓库列表',
                        'add' => '添加仓库',
                        'edit' => '编辑仓库',
                        'delete' => '删除仓库',
                        'updateAll' => '批量操作'
                    ]
                ],
                'Store\\Controller\\PositionController' => [
                    'name' => '仓位',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete'
                    ],
                    'actionNames' => [
                        'index' => '仓位列表',
                        'add' => '添加仓位',
                        'edit' => '编辑仓位',
                        'delete' => '删除仓位'
                    ]
                ]
            ]
        ],
        'Customer' => [
            'name' => '客户',
            'controllers' => [
                'Customer\\Controller\\CustomerCategoryController' => [
                    'name' => '客户组',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete'
                    ],
                    'actionNames' => [
                        'index' => '客户组列表',
                        'add' => '添加客户组',
                        'edit' => '编辑客户组',
                        'delete' => '删除客户组'
                    ]
                ],
                'Customer\\Controller\\CustomerController' => [
                    'name' => '客户',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete'
                    ],
                    'actionNames' => [
                        'index' => '客户列表',
                        'add' => '添加客户',
                        'edit' => '编辑客户',
                        'delete' => '删除客户'
                    ]
                ],
                'Customer\\Controller\\SupplierCategoryController' => [
                    'name' => '供应商组',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete'
                    ],
                    'actionNames' => [
                        'index' => '供应商组列表',
                        'add' => '添加供应商组',
                        'edit' => '编辑供应商组',
                        'delete' => '删除供应商组'
                    ]
                ],
                'Customer\\Controller\\SupplierController' => [
                    'name' => '供应商',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete'
                    ],
                    'actionNames' => [
                        'index' => '供应商列表',
                        'add' => '添加供应商',
                        'edit' => '编辑供应商',
                        'delete' => '删除供应商'
                    ]
                ]
            ]
        ],
        'Purchase' => [
            'name' => '采购',
            'controllers' => [
                'Purchase\\Controller\\OrderController' => [
                    'name' => '采购订单',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete',
                        'view',
                        'authPassOrder',
                        'cancelOrder',
                        'delOrderGoods'
                    ],
                    'actionNames' => [
                        'index' => '订单列表',
                        'add' => '添加订单',
                        'edit' => '编辑订单',
                        'delete' => '删除订单',
                        'view' => '查看订单',
                        'authPassOrder' => '审核订单',
                        'cancelOrder' => '取消订单',
                        'delOrderGoods' => '删除订单内商品'
                    ]
                ],
                'Purchase\\Controller\\WarehouseOrderController' => [
                    'name' => '采购入库',
                    'action' => [
                        'index',
                        'add',
                        'view',
                        'delete',
                        'insertWarehouse'
                    ],
                    'actionNames' => [
                        'index' => '入库列表',
                        'add' => '添加入库',
                        'view' => '查看入库信息',
                        'delete' => '删除入库',
                        'insertWarehouse' => '待入库单入库'
                    ]
                ],
                'Purchase\\Controller\\OrderReturnController' => [
                    'name' => '采购退货',
                    'action' => [
                        'index',
                        'view',
                        'cancel',
                        'returnFinish',
                        'returnOrder'
                    ],
                    'actionNames' => [
                        'index' => '退货列表',
                        'view' => '查看详情',
                        'returnFinish' => '退货完成',
                        'cancel' => '取消退货',
                        'returnOrder' => '添加退货'
                    ]
                ]
            ]
        ],
        'Finance' => [
            'name' => '资金',
            'controllers' => [
                'Finance\\Controller\\PayableController' => [
                    'name' => '应付账款',
                    'action' => [
                        'index',
                        'addPayable',
                        'show',
                        'payableLog'
                    ],
                    'actionNames' => [
                        'index' => '账款列表',
                        'addPayable' => '添加付款',
                        'show' => '详情查看',
                        'payableLog' => '付款记录查看'
                    ]
                ],
                'Finance\\Controller\\ReceivablesController' => [
                    'name' => '应收账款',
                    'action' => [
                        'index',
                        'addReceivable',
                        'show',
                        'receivableLog'
                    ],
                    'actionNames' => [
                        'index' => '账款列表',
                        'addReceivable' => '添加收款',
                        'show' => '详情查看',
                        'receivableLog' => '收款记录查看'
                    ]
                ]
            ]
        ],
        'Sales' => [
            'name' => '销售',
            'controllers' => [
                'Sales\\Controller\\SalesOrderController' => [
                    'name' => '销售订单',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'view',
                        'delete',
                        'delSalesOrderGoods',
                        'confirmSalesOrder',
                        'cancelSalesOrder',
                        'sendOrder'
                    ],
                    'actionNames' => [
                        'index' => '订单列表',
                        'add' => '添加订单',
                        'edit' => '编辑订单',
                        'view' => '查看订单详情',
                        'delete' => '删除订单',
                        'delSalesOrderGoods' => '删除订单内商品',
                        'confirmSalesOrder' => '确认订单',
                        'cancelSalesOrder' => '取消确认',
                        'sendOrder' => '订单发货'
                    ]
                ],
                'Sales\\Controller\\SalesSendOrderController' => [
                    'name' => '销售发货',
                    'action' => [
                        'index',
                        'view',
                        'finishSalesOrder'
                    ],
                    'actionNames' => [
                        'index' => '发货列表',
                        'view' => '查看详情',
                        'finishSalesOrder' => '确认收货'
                    ]
                ],
                'Sales\\Controller\\SalesOrderReturnController' => [
                    'name' => '销售退货',
                    'action' => [
                        'index',
                        'add',
                        'view',
                        'finish',
                        'cancel'
                    ],
                    'actionNames' => [
                        'index' => '退货列表',
                        'add' => '添加退货',
                        'view' => '查看详情',
                        'finish' => '退货完成',
                        'cancel' => '取消退货'
                    ]
                ]
            ]
        ],
        'Shop' => [
            'name' => '商城',
            'controllers' => [
                'Shop\\Controller\\IndexController' => [
                    'name' => '商城订单',
                    'action' => [
                        'index',
                        'view',
                        'delete'
                    ],
                    'actionNames' => [
                        'index' => '订单列表',
                        'view' => '查看详情',
                        'delete' => '删除订单'
                    ]
                ],
                'Shop\\Controller\\OrderGoodsController' => [
                    'name' => '订单商品',
                    'action' => [
                        'index',
                        'distributionGoods',
                        'finishDistribution'
                    ],
                    'actionNames' => [
                        'index' => '订单商品列表',
                        'distributionGoods' => '匹配商品',
                        'finishDistribution' => '商品补货'
                    ]
                ]
            ]
        ],
        'Stock' => [
            'name' => '库存',
            'controllers' => [
                'Stock\\Controller\\IndexController' => [
                    'name' => '其他入库',
                    'action' => [
                        'index',
                        'add',
                        'view'
                    ],
                    'actionNames' => [
                        'index' => '入库单列表',
                        'add' => '添加入库单',
                        'view' => '查看入库单'
                    ]
                ],
                'Stock\\Controller\\StockCheckController' => [
                    'name' => '库存盘点',
                    'action' => [
                        'index',
                        'add',
                        'edit',
                        'delete',
                        'confirm',
                        'view',
                        'delStockCheckGoods'
                    ],
                    'actionNames' => [
                        'index' => '盘点列表',
                        'add' => '添加盘点单',
                        'edit' => '编辑盘点单',
                        'delete' => '删除盘点单',
                        'confirm' => '确认盘点单',
                        'view' => '查看盘点单',
                        'delStockCheckGoods' => '删除盘点单内商品'
                    ]
                ],
                'Stock\\Controller\\StockTransferController' => [
                    'name' => '库间调拨',
                    'action' => [
                        'index',
                        'add',
                        'view',
                        'delete',
                        'authPassStockTransfer'
                    ],
                    'actionNames' => [
                        'index' => '库间调拨单列表',
                        'add' => '添加库间调拨单',
                        'view' => '查看库间调拨单',
                        'delete' => '删除库间调拨单',
                        'authPassStockTransfer' => '审核调拨'
                    ]
                ]
            ]
        ]
    ],
    'session_containers' => [
        'I18nSessionContainer'
    ],
    'translator' => [
        'translation_file_patterns' => [
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Store\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Customer\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Purchase\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Finance\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Sales\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Api\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Shop\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Report\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Stock\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'gettext',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Install\\config/../data/language',
                'pattern' => '%s.mo'
            ],
            [
                'type' => 'phpArray',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\src\\Validator/languages/',
                'pattern' => '%s/Zend_Validate.php'
            ],
            [
                'type' => 'phpArray',
                'base_dir' => 'E:\\phpstudy_pro\\WWW\\DBErp\\module\\Admin\\src\\Validator/languages/',
                'pattern' => '%s/Zend_Captcha.php'
            ]
        ],
        'locale' => 'zh_CN'
    ],
    'session_config' => [
        'remember_me_seconds' => 2592000,
        'gc_maxlifetime' => 2592000
    ],
    'session_manager' => [
        'validators' => []
    ],
    'session_storage' => [
        'type' => 'Laminas\\Session\\Storage\\SessionArrayStorage'
    ]
];
